Genivia - wsdd__ScopesType Struct Reference

|  | Home | Documentation | wsdd__ScopesType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ScopesType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ScopesType is a complexType with simpleContent. More...

`#include <wsdd.h>`

## Public Attributes
wsdd__UriListType | __item
| __item wraps ""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":UriListType" simpleContent. More...
char * | MatchBy
| Attribute "MatchBy" of XSD type xs:anyURI. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ScopesType is a complexType with simpleContent.

struct wsdd__ScopesType operations:

- wsdd__ScopesType* soap_new_wsdd__ScopesType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ScopesType(struct soap*, wsdd__ScopesType*) default initialize members
- int soap_read_wsdd__ScopesType(struct soap*, wsdd__ScopesType*) deserialize from a source
- int soap_write_wsdd__ScopesType(struct soap*, wsdd__ScopesType*) serialize to a sink
- wsdd__ScopesType* soap_dup_wsdd__ScopesType(struct soap*, wsdd__ScopesType* dst, wsdd__ScopesType <em>src) returns deep copy of wsdd__ScopesType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ScopesType(wsdd__ScopesType) deep deletes wsdd__ScopesType data members, use only on dst after soap_dup_wsdd__ScopesType(NULL, wsdd__ScopesType *dst, wsdd__ScopesType *src) (use soapcpp2 -Ed)

## Member Data Documentation

wsdd__UriListType wsdd__ScopesType::__item

__item wraps ""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":UriListType" simpleContent.

char* wsdd__ScopesType::MatchBy

Attribute "MatchBy" of XSD type xs:anyURI.

Optional attribute.

The documentation for this struct was generated from the following file:

- wsdd.h